Package: espeakedit / 1.48.03-3

Metadata

Package Version Patches format
espeakedit 1.48.03-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
path.diff | (download)

src/Makefile | 3 3 + 0 - 0 !
src/espeakedit.cpp | 2 1 + 1 - 0 !
2 files changed, 4 insertions(+), 1 deletion(-)

---
libsonic | (download)

src/Makefile | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

---
wx3.0.diff | (download)

src/espeakedit.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 [patch 1/2] wxwidgets 3.0: make espeakedit compile

wx3.0 2.diff | (download)

src/spect.cpp | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 [patch 2/2] wxwidgets 3.0: move font_* construction to spectframe

When using wxWidgets 3.0, creating a wxFont requires the gtk+
library to be initialized. This is causing espeakedit to segfault.

SpectFrame::Draw is the only place where the FONT_* variables are
used, so move them into the SpectFrame class and create them in
the constructor.

Also, FONT_NORMAL is not used so it has been removed.

wx3.0 3.diff | (download)

src/Makefile | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

---
make.diff | (download)

src/Makefile | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

---